Update flow

Update flow. See the OpenAPI-defined parameters, request body, and responses below.

PUT /Flow/{id}

Update flow. See the OpenAPI-defined parameters, request body, and responses below.

Authentication

Authentication required. Send your user API key in the X-API-Key header.

Parameters

NameLocationTypeRequiredDescriptionConstraints
idpathinteger · int32Yes——

Request body

Content type: application/json · Schema: FlowDto

PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
descriptionstringNo—nullable
isActivebooleanNo——
createdAtstring · date-timeNo—nullable
createdByinteger · int32No——
updatedAtstring · date-timeNo—nullable
updatedByinteger · int32No——

Example request

curl --request PUT \
  --url 'https://api.zild.ai/Flow/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "id": 0,
  "name": "string",
  "description": "string",
  "isActive": true,
  "createdAt": "2026-09-22T18:00:00Z",
  "createdBy": 0,
  "updatedAt": "2026-09-22T18:00:00Z",
  "updatedBy": 0
}'

Responses

StatusDescriptionResponse body
200OKNo response body is defined.

Data models

FlowDto
PropertyTypeRequiredDescriptionConstraints
idinteger · int32No——
namestringNo—nullable
descriptionstringNo—nullable
isActivebooleanNo——
createdAtstring · date-timeNo—nullable
createdByinteger · int32No——
updatedAtstring · date-timeNo—nullable
updatedByinteger · int32No——